<?php

class mysqllogin {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;
  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }

  public function getUsuarioCliente($rut,$contraseña){
  $queryusuario =$this->read("SELECT p.ID_PERSONA, p.ESTADO, p.RUT, po.PRO_VENTA
                                 FROM tblpersonas p
                                 INNER JOIN tblpropietarios po ON po.ID_PERSONA = p.ID_PERSONA
                                 WHERE p.RUt = '$rut' AND po.PRO_VENTA = '$contraseña'");
     return $queryusuario;
  }


  public function getValidacionrecuperar($rut,$id_proyecto,$numero){     
   $queryusuario =$this->read("SELECT p.RUT,p.EMAIL,po.PRO_VENTA FROM tblpersonas p 
                                    INNER JOIN tblpropietarios po  ON po.ID_PERSONA = p.ID_PERSONA
                                    INNER JOIN tblpropiedades pe ON pe.ID_PROPIEDAD = po.ID_PROPIEDAD
                                    INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = pe.ID_DISENOETAPA
                                    INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA 
                                    INNER JOIN tblproyectos pi ON pi.ID_PROYECTO = e.ID_PROYECTO
                                    WHERE P.RUT ='$rut' AND pi.ID_PROYECTO = '$id_proyecto' AND pe.NUMERO ='$numero'");
     return $queryusuario;
  }
  
  public function getUsuarioAdministracion($usuario,$contraseña){
    //  $queryusuario =mysql_query("SELECT p.ID_PERSONA, p.ESTADO, p.RUT
    //                             FROM tblpersonas p
    //                             WHERE p.USUARIO = '$usuario' AND p.CONTRASEÑA ='$contraseña' AND p.ESTADO ='0'");
    //  while( $resultado = mysql_fetch_array($queryusuario) ) { 
    //   return $resultado['ID_PERSONA']; 
    // }  

     $queryusuario =$this->read("SELECT p.ID_PERSONA, p.ESTADO, p.RUT,p.ID_PERFIL
                                FROM tblpersonas p
                                WHERE p.USUARIO = '$usuario' AND p.CONTRASEÑA ='$contraseña' AND p.ESTADO ='0'");
     return $queryusuario;



  }


 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>